Identity: audit
The identity’s own audit chain, newest first
Section titled “The identity’s own audit chain, newest first”GET /v1/identities/{slug}/audit · operation listIdentityAudit
Requires the batondeck:audit:read permission (action audit:identity:read).
Parameters
| Name | In | Type | Required | Notes |
|---|---|---|---|---|
slug |
path | string | yes | |
limit |
query | integer | yes | |
subject |
query | string | ||
action_like |
query | string | only actions containing this |
Responses
| Status | Meaning |
|---|---|
| 200 | The identity’s own audit chain, newest first |
| 400 | The arguments did not validate. |
| 401 | No portal session, and no live API key. |
| 403 | The policy refused, or the request was cross-site. |
| 404 | No such resource, or none this session may see. |
200 response schema
{ "type": "object", "properties": { "rows": { "type": "array", "items": { "type": "object", "properties": { "seq": { "type": "number" }, "ts": { "type": "number" }, "action": { "type": "string" }, "actor_kind": { "type": "string" }, "actor_id": { "type": "string" }, "resource": { "type": "string" }, "outcome": { "type": "string" }, "details": { "type": "string" }, "account_id": { "type": "string" }, "request_id": { "type": "string" }, "prev_hash": { "type": "string" }, "hash": { "type": "string" } }, "required": [ "seq", "ts", "action", "actor_kind", "actor_id", "resource", "outcome", "details", "account_id", "request_id", "prev_hash", "hash" ], "additionalProperties": false } }, "names": { "type": "object", "properties": { "owners": { "anyOf": [ { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": { "type": "string" } }, { "type": "null" } ] }, "identities": { "anyOf": [ { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": { "type": "string" } }, { "type": "null" } ] }, "keys": { "anyOf": [ { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": { "type": "object", "properties": { "name": { "type": "string" }, "revoked": { "type": "boolean" } }, "required": [ "name", "revoked" ], "additionalProperties": false } }, { "type": "null" } ] }, "grants": { "anyOf": [ { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": { "type": "object", "properties": { "name": { "type": "string" }, "revoked": { "type": "boolean" } }, "required": [ "name", "revoked" ], "additionalProperties": false } }, { "type": "null" } ] }, "contacts": { "anyOf": [ { "type": "object", "propertyNames": { "type": "string" }, "additionalProperties": { "type": "string" } }, { "type": "null" } ] } }, "required": [ "owners", "identities", "keys", "grants", "contacts" ], "additionalProperties": false } }, "required": [ "rows", "names" ], "additionalProperties": false}curl -X GET 'https://api.batondeck.com/v1/identities/:slug/audit' \ -H "Authorization: Bearer $BATONDECK_API_KEY"